openapi: 3.0.2
info:
  title: fincode バイヤープラットフォーム API
  description: |
    fincode バイヤープラットフォーム用のAPIリファレンスの雛形です。
    必要なエンドポイント、サーバー定義、コンポーネントを追加して利用してください。
  version: 1.4.0
servers:
  - url: https://api.fincode.jp
    description: 本番環境
  - url: https://api.test.fincode.jp
    description: テスト環境
tags:
  - name: Webhook設定
    description: |
      Webhook設定を管理するAPIです。\
      fincode上で指定したイベントが発生した場合、指定したエンドポイントでリアルタイムで通知を受け取れます。\
      [Webhook通知仕様はこちら](#tag/Webhook_)\
      \
      ※1 テナントバイヤーのイベントを受けとるためにはバイヤーテナントごとにWebhook設定を登録する必要があります。

      | 機能                         | イベント名                  | イベントパラメータ                         |
      |----------------------------|--------------------------|-----------------------------------------|
      | 請求書カード払い                     | 登録                     | business_payments.regist                   |
      | 請求書カード払い                     | 実行                     | business_payments.exec                     |
      | 請求書カード払い                     | 更新                     | business_payments.update                  |
      | テナントバイヤー審査状況                     | 更新                     | buyer.contracts.status_code.updated                  |
  - name: Webhook_通知仕様
    description: |
      イベントが発生したときに、fincodeから加盟店様が設定したエンドポイントURLへWebhookのリクエストを送信するときの仕様です。\
      [イベント一覧はこちら](#tag/Webhook)\
      ※通知対象のパラメータは、機能追加等に伴い追加される可能性があります。\
      ※予告なくパラメータ名の変更、削除が行われることはありません。\
      \
      Webhookを利用する場合は、正常受信または受信失敗のレスポンスをWebhookのリクエストに対して返却する必要があります。\
      Webhookのリクエストがエラーで失敗した場合は、リトライ仕様に従って再送します。
externalDocs:
  description: fincode バイヤープラットフォーム JSの仕様はこちらの JSリファレンス から確認できます。
  url: /js-buyerplatform
paths:
  /v1/business_payments:
    get:
      security:
        - Secret-Bearer-Auth: []
        - Secret-Basic-Auth: []
      operationId: retrieveBusinessPaymentList
      tags:
        - 請求書カード払い
      summary: 請求書カード払い 一覧取得
      description: |
        リクエスト情報に設定された条件に当てはまる請求書カード払い情報を一覧取得するAPI。
        検索項目は、「取引ID（完全一致）」「取引先名（LIKE検索）」「支払金額（範囲）」「ステータス（列挙値）」「支払期日（範囲）」「振込実行日（範囲）」「更新日時（範囲）」
      parameters:
        - in: header
          name: Tenant-Buyer-Id
          required: true
          schema:
            allOf:
              - $ref: '#/components/schemas/schema'
          description: |
            <span class="smallText color--red-400">※ バイヤープラットフォームのみ指定可</span>\
            テナントバイヤーID。\
            指定したテナントバイヤーの請求書カード払い情報一覧を取得します。
        - in: query
          name: クエリ
          description: |
            検索条件クエリパラメータ
          required: false
          schema:
            allOf:
              - $ref: '#/components/schemas/Pagination.QueryParams'
              - $ref: '#/components/schemas/BusinessPayment.ListRetrieving.QueryParams'
      responses:
        '200':
          description: リクエストに成功
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BusinessPayment.ListRetrieving.Response'
        '400':
          description: 不正なリクエスト
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FincodeAPIError.Response'
      x-code-samples:
        - lang: curl
          label: cURL
          source: |
            curl \
                -X GET \
                -H "Authorization:Bearer <Secret API Key>" \
                -H "Tenant-Buyer-Id: b_***********" \
            'https://api.test.fincode.jp/v1/business_payments'
        - lang: node
          label: Node.js
          source: |
            import fetch from "node-fetch";

            const BASE_URL = "https://api.test.fincode.jp";
            const API_KEY = "<Secret API Key>";

            (async () => {
                const endpoint = `${BASE_URL}/v1/business_payments`;

                const response = await fetch(endpoint, {
                    method: "GET",
                    headers: {
                        Authorization: `Bearer ${API_KEY}`,
                        "Tenant-Buyer-Id": "b_***********",
                    },
                });
                const businessPayments = await response.json();
                console.log(businessPayments); // 取得した請求書カード払いデータを出力
            })();
        - lang: go
          label: Go
          source: "package main\n\nimport (\n\t\"fmt\"\n\t\"log\"\n\t\"net/http\"\n)\n\nfunc main() {\n\t// APIキーの指定\n\tapiKey := \"<Secret API Key>\"\n\n\t// リクエストの作成\n\treq, err := http.NewRequest(\n\t\t\"GET\",\n\t\t\"https://api.test.fincode.jp/v1/business_payments\",\n\t\tnil,\n\t)\n\tif err != nil {\n\t\tlog.Fatalf(\"リクエストの作成エラー: %v\", err)\n\t}\n\n\treq.Header.Set(\"Authorization\", \"Bearer \"+apiKey)\n    req.Header.Set(\"Tenant-Buyer-Id\", \"b_***********\")\n\n\t// リクエストの送信\n\tresp, err := http.DefaultClient.Do(req)\n\tif err != nil {\n\t\tlog.Fatalf(\"リクエスト送信エラー: %v\", err)\n\t}\n\tdefer resp.Body.Close()\n\n\tfmt.Println(resp.Status)\n}\n"
        - lang: php
          label: PHP
          source: |
            <?php

            $apiKey = '<Secret API Key>';
            $baseUrl = "https://api.test.fincode.jp";
            $endpoint = "/v1/business_payments"; // GETリクエストのエンドポイント

            $headers = [
                "Authorization: Bearer " . $apiKey,
                "Tenant-Buyer-Id: b_***********"
            ];

            $session = curl_init();
            curl_setopt($session, CURLOPT_URL, $baseUrl . $endpoint);
            curl_setopt($session, CURLOPT_HTTPHEADER, $headers);
            curl_setopt($session, CURLOPT_HTTPGET, true);
            curl_setopt($session, CURLOPT_RETURNTRANSFER, true);
            // curl_setopt($session, CURLOPT_SSL_VERIFYPEER, true);
            // curl_setopt($session, CURLOPT_SSL_VERIFYHOST, 2);

            $response = curl_exec($session);

            if ($response === false) {
                // エラー処理
                echo "cURL Error: " . curl_error($session);
            } else {
                // APIからのデータを処理
                echo $response;
            }

            curl_close($session);
            ?>
        - lang: python
          label: Python 3
          source: |
            import requests

            api_key = '<Secret API Key>'
            base_url = "https://api.test.fincode.jp"
            endpoint = "/v1/business_payments"  # GETリクエストのエンドポイント

            # ヘッダーを設定
            headers = {
                'Authorization': f'Bearer {api_key}',
                'Tenant-Buyer-Id': 'b_***********'
            }

            try:
                response = requests.get(f"{base_url}{endpoint}", headers=headers)

                # レスポンスの処理
                if response.status_code == 200:
                    # APIからのデータを処理
                    print(f"Success: {response.json()}")
                else:
                    # エラーの処理
                    print(f"Error: {response.json()}")
            except requests.RequestException as e:
                # 通信エラーの処理
                print(f"Request error: {e}")
        - lang: ruby
          label: Ruby
          source: |
            require 'net/http'
            require 'uri'
            require 'json'

            API_KEY = '<Secret API Key>'
            BASE_URL = 'https://api.test.fincode.jp'

            def main
                endpoint = "/v1/business_payments"  # GETリクエストのエンドポイント

                uri = URI.parse(BASE_URL + endpoint)

                http = Net::HTTP.new(uri.host, uri.port)
                http.use_ssl = true

                # リクエストの作成
                request = Net::HTTP::Get.new(uri.request_uri)
                request['Authorization'] = "Bearer #{API_KEY}"
                request["Tenant-Buyer-Id"] = "b_***********"

                # リクエストの送信
                response = http.request(request)

                case response
                when Net::HTTPSuccess
                    puts 'SUCCESS'
                    # レスポンスの表示
                    puts JSON.pretty_generate(JSON.parse(response.body))
                else
                    puts 'ERROR'
                    # エラーの表示
                    puts response.body
                end
            end

            main
    post:
      security:
        - Secret-Bearer-Auth: []
        - Secret-Basic-Auth: []
      operationId: createBusinessPayment
      tags:
        - 請求書カード払い
      summary: 請求書カード払い登録
      description: |
        請求書カード払い情報を登録します。
      parameters:
        - in: header
          name: Tenant-Buyer-Id
          required: true
          schema:
            allOf:
              - $ref: '#/components/schemas/schema'
          description: |
            <span class="smallText color--red-400">※ バイヤープラットフォームのみ指定可</span>\
            テナントバイヤーID。\
            指定したテナントバイヤーの請求書カード払い情報を登録します。
      requestBody:
        required: false
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BusinessPayment.Creating.Request'
      responses:
        '200':
          description: リクエストに成功
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BusinessPayment.Creating.Response'
        '400':
          description: 不正なリクエスト
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FincodeAPIError.Response'
      x-code-samples:
        - lang: curl
          label: cURL
          source: |
            curl \
                -X POST \
                -H "Authorization:Bearer <Secret API Key>" \
                -H "Content-Type: application/json" \
                -H "Tenant-Buyer-Id: b_***********" \
                -d '{
                "receipt_id": "rc_-RcdyjisQl-Uk5D7Q12f0A"
            }' \
            'https://api.test.fincode.jp/v1/business_payments'
        - lang: node
          label: Node.js
          source: |
            const API_KEY = "<Secret API Key>";

            (async () => {
                const response = await fetch("https://api.test.fincode.jp/v1/business_payments", {
                    method: "POST",
                    headers: {
                        Authorization: `Bearer ${API_KEY}`,
                        "Content-Type": "application/json",
                        "Tenant-Buyer-Id": "b_***********",
                    },
                    body: JSON.stringify({
                        "receipt_id": "rc_-RcdyjisQl-Uk5D7Q12f0A"
                    }),
                });

                const data = await response.json();
                console.log(data);
            })();
        - lang: go
          label: Go
          source: |
            package main

            import (
                "bytes"
                "fmt"
                "io"
                "net/http"
            )

            func main() {
                body := []byte(`{"receipt_id": "rc_-RcdyjisQl-Uk5D7Q12f0A"}`)

                req, err := http.NewRequest(http.MethodPost, "https://api.test.fincode.jp/v1/business_payments", bytes.NewBuffer(body))
                if err != nil {
                    panic(err)
                }

                req.Header.Set("Authorization", "Bearer <Secret API Key>")
                req.Header.Set("Content-Type", "application/json")
                req.Header.Set("Tenant-Buyer-Id", "b_***********")

                resp, err := http.DefaultClient.Do(req)
                if err != nil {
                    panic(err)
                }
                defer resp.Body.Close()

                b, err := io.ReadAll(resp.Body)
                if err != nil {
                    panic(err)
                }

                fmt.Println(string(b))
            }
        - lang: php
          label: PHP
          source: |
            <?php

            $payload = json_encode([
                'receipt_id' => 'rc_-RcdyjisQl-Uk5D7Q12f0A',
            ]);

            $ch = curl_init('https://api.test.fincode.jp/v1/business_payments');
            curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'POST');
            curl_setopt($ch, CURLOPT_HTTPHEADER, [
                'Authorization: Bearer <Secret API Key>',
                'Content-Type: application/json',
                "Tenant-Buyer-Id: b_***********"
            ]);
            curl_setopt($ch, CURLOPT_POSTFIELDS, $payload);
            curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);

            $response = curl_exec($ch);
            curl_close($ch);

            echo $response;
        - lang: python
          label: Python 3
          source: |
            import requests

            api_key = '<Secret API Key>'

            url = 'https://api.test.fincode.jp/v1/business_payments'
            headers = {
                'Authorization': f'Bearer {api_key}',
                'Content-Type': 'application/json'
                'Tenant-Buyer-Id': 'b_***********'
            }
            data = {
                "receipt_id": "rc_-RcdyjisQl-Uk5D7Q12f0A"
            }

            response = requests.post(url, headers=headers, json=data)
            print(response.text)
        - lang: ruby
          label: Ruby
          source: |
            require "net/http"
            require "uri"
            require "json"

            uri = URI.parse("https://api.test.fincode.jp/v1/business_payments")
            request = Net::HTTP::Post.new(uri)
            request["Authorization"] = "Bearer <Secret API Key>"
            request["Content-Type"] = "application/json"
            request["Tenant-Buyer-Id"] = "b_***********"
            request.body = {
              receipt_id: "rc_-RcdyjisQl-Uk5D7Q12f0A"
            }.to_json

            response = Net::HTTP.start(uri.host, uri.port, use_ssl: true) do |http|
              http.request(request)
            end

            puts response.body
  /v1/business_payments/{id}:
    get:
      security:
        - Secret-Bearer-Auth: []
        - Secret-Basic-Auth: []
      operationId: retrieveBusinessPayment
      tags:
        - 請求書カード払い
      summary: 請求書カード払い情報取得
      description: |
        エンドポイントに指定してある取引IDに応じたバイヤ請求書カード払い情報を取得する。
      parameters:
        - in: header
          name: Tenant-Buyer-Id
          required: true
          schema:
            allOf:
              - $ref: '#/components/schemas/schema'
          description: |
            <span class="smallText color--red-400">※ バイヤープラットフォームのみ指定可</span>\
            テナントバイヤーID。\
            指定したテナントバイヤーに紐づく請求書カード払い情報を取得します。
        - name: id
          in: path
          required: true
          schema:
            type: string
            minLength: 25
            maxLength: 25
          description: 取引ID
      responses:
        '200':
          description: リクエストに成功
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BusinessPayment.Detail'
        '400':
          description: 不正なリクエスト
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FincodeAPIError.Response'
      x-code-samples:
        - lang: curl
          label: cURL
          source: |
            curl \
                -X GET \
                -H "Authorization:Bearer <Secret API Key>" \
                -H "Tenant-Buyer-Id: b_***********" \
            'https://api.test.fincode.jp/v1/business_payments/{id}'
        - lang: node
          label: Node.js
          source: |
            import { createFincode } from "@fincode/node";

            const API_KEY = "<Secret API Key>";

            (async () => {
                const fincode = createFincode({ apiKey: API_KEY, isLiveMode: false });

                const accessId = "<Access ID>";

                try {
                    // リクエストの送信
                    const businessPayment = await fincode.businessPayments.retrieve(accessId);
                } catch (e) {
                    // エラーの処理
                }
            })();
        - lang: go
          label: Go
          source: |
            package main

            import (
                "fmt"
                "log"
                "net/http"
            )

            func main() {
                apiKey := "<Secret API Key>"
                accessID := "<Access ID>"

                // リクエストの作成
                req, _ := http.NewRequest("GET", fmt.Sprintf("https://api.test.fincode.jp/v1/business_payments/%s", accessID), nil)
                req.Header.Set("Authorization", fmt.Sprintf("Bearer %s", apiKey))
                req.Header.Set("Tenant-Buyer-Id", "b_***********")

                // リクエストの送信
                client := &http.Client{}
                res, err := client.Do(req)
                if err != nil {
                    log.Fatal(err)
                }
                defer res.Body.Close()
            }
        - lang: php
          label: PHP
          source: |
            <?php

            $apiKey = '<Secret API Key>';

            $accessId = '<Access ID>';

            $baseUrl = "https://api.test.fincode.jp";
            $endpoint = "/v1/business_payments/{$accessId}";
            $headers = [
                "Authorization: Bearer " . $apiKey,
                "Content-Type: application/json"
                "Tenant-Buyer-Id: b_***********"
            ];

            $session = curl_init();
            curl_setopt($session, CURLOPT_URL, $baseUrl . $endpoint);
            curl_setopt($session, CURLOPT_HTTPHEADER, $headers);
            curl_setopt($session, CURLOPT_RETURNTRANSFER, true);
            // curl_setopt($session, CURLOPT_SSL_VERIFYPEER, );
            // curl_setopt($session, CURLOPT_SSL_VERIFYHOST, );

            $response = curl_exec($session);

            if ($response === false) {
                # エラー処理
                echo "cURL Error: " . curl_error($session);
            } else {
                # APIからのデータを処理
                var_dump($response);
            }

            curl_close($session);
        - lang: python
          label: Python 3
          source: |
            import requests

            api_key = '<Secret API Key>'

            access_id = '<Access ID>'

            url = f'https://api.test.fincode.jp/v1/business_payments/{access_id}'

            # ヘッダーを設定
            headers = {
                'Authorization': f'Bearer {api_key}',
                'Content-Type': 'application/json'
                'Tenant-Buyer-Id': 'b_***********'
            }

            # HTTP GETリクエストの送信
            try:
                response = requests.get(url, headers=headers)

                # レスポンスの処理
                if response.status_code == 200:
                    # 成功した場合の処理
                    print(f"Success: {response.json()}")
                else:
                    # エラーの処理
                    print(f"Error: {response.json()}")
            except requests.RequestException as e:
                # 通信エラーの処理
                print(f"Request error: {e}")
        - lang: ruby
          label: Ruby
          source: |
            require 'net/http'
            require 'uri'
            require 'json'

            API_KEY = '<Secret API Key>'
            BASE_URL = 'https://api.test.fincode.jp'

            def main
              access_id = '<Access ID>'
              endpoint = "/v1/business_payments/#{access_id}"
              uri = URI.parse(BASE_URL + endpoint)

              http = Net::HTTP.new(uri.host, uri.port)
              http.use_ssl = true

              # リクエストの作成
              request = Net::HTTP::Get.new(uri.request_uri)
              request['Authorization'] = "Bearer #{API_KEY}"
              request['Content-Type'] = 'application/json'
              request["Tenant-Buyer-Id"] = "b_***********"

              # リクエストの送信
              response = http.request(request)

              case response
              when Net::HTTPSuccess
                puts 'SUCCESS'
              else
                puts 'ERROR'
              end

              # レスポンスの表示
              puts response.body
            end

            main
    post:
      security:
        - Secret-Bearer-Auth: []
        - Secret-Basic-Auth: []
      operationId: updateBusinessPayment
      tags:
        - 請求書カード払い
      summary: 請求書カード払い更新
      description: |
        指定したIDの請求書カード払い情報を更新します。
      parameters:
        - in: header
          name: Tenant-Buyer-Id
          required: true
          schema:
            allOf:
              - $ref: '#/components/schemas/schema'
          description: |
            <span class="smallText color--red-400">※ バイヤープラットフォームのみ指定可</span>\
            テナントバイヤーID。\
            指定したテナントバイヤーに紐づく請求書カード払い情報を更新します。
        - name: id
          in: path
          required: true
          schema:
            type: string
            minLength: 25
            maxLength: 25
          description: 取引ID
      requestBody:
        required: true
        content:
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/BusinessPayment.Updating.Request'
      responses:
        '200':
          description: リクエストに成功
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BusinessPayment.Updating.Response'
        '400':
          description: 不正なリクエスト
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FincodeAPIError.Response'
      x-code-samples:
        - lang: curl
          label: cURL
          source: |
            curl \
                -X POST \
                -H "Authorization:Bearer <Secret API Key>" \
                -H "Content-Type: multipart/form-data" \
                -H "Tenant-Buyer-Id: b_***********" \
                -F 'data=@<File Name>;type=application/json' \
                -F 'invoice_file=@<File Name>' \
            'https://api.test.fincode.jp/v1/business_payments/bp_VbZbE8t6RMGIsIfOP3U7ww
        - lang: node
          label: Node.js
          source: |
            const API_KEY = "<Secret API Key>";
            const BUSINESS_PAYMENT_ID = "bp_VbZbE8t6RMGIsIfOP3U7ww";

            const form = new FormData();

            form.append("invoice_file", "<File>");
            form.append("data", `{
                billing_amount: 10000,
                card_token: null,
                due_date: "2025/05/11",
                invoice_file_name_display: "請求書.pdf",
                remitter_name: "カタカナ テストタロウ XYZ",
                payee: {
                    company_name: "株式会社アイネット",
                    corporate: "0",
                    representative_name: "株式会社アイネット",
                    invoice_registration_number: "T7020001030145",
                    addr_post_code: "220-0012",
                    addr_state: "横浜市",
                    addr_city: "西区",
                    addr_line_1: "みなとみらい5-1-2",
                    addr_line_2: "横浜シンフォステージ ウエストタワー13階",
                    email: "test@test.com",
                    phone_no: "045-682-0845",
                },
                payee_bank: {
                    bank_code: "0011",
                    bank_name: "三井住友",
                    branch_code: "012",
                    branch_name: "横浜",
                    account_kind: 1,
                    account_number: "4108217",
                    account_name: "カテスト タロウ",
                },
            }`);

            (async () => {
                const response = await fetch(`https://api.test.fincode.jp/v1/business_payments/${BUSINESS_PAYMENT_ID}`, {
                    method: "POST",
                    headers: {
                        Authorization: `Bearer ${API_KEY}`,
                        "Content-Type": "multipart/form-data",
                        "Tenant-Buyer-Id": "b_***********",
                    },
                    body: form,
                });

                const data = await response.json();
                console.log(data);
            })();
        - lang: go
          label: Go
          source: |
            package main

            import (
                "bytes"
                "fmt"
                "io"
                "net/http"
            )

            func main() {
                body := []byte(`{"invoice_file":"string <binary>","data":"{
                    BillingAmount:           10000,
                    CardToken:               nil,
                    BusinessPaymentsCardID:  "1234",
                    CardRegisterFlag:        nil,
                    DueDate:                 "2025/05/11",
                    InvoiceFileNameDisplay:  "請求書.pdf",
                    RemitterName:            "カタカナ テストタロウ XYZ",
                    Payee: Payee{
                        CompanyName:               "株式会社アイネット",
                        Corporate:                 "0",
                        RepresentativeName:        "株式会社アイネット",
                        InvoiceRegistrationNumber: "T7020001030145",
                        AddrPostCode:              "220-0012",
                        AddrState:                 "横浜市",
                        AddrCity:                  "西区",
                        AddrLine1:                 "みなとみらい5-1-2",
                        AddrLine2:                 "横浜シンフォステージ ウエストタワー13階",
                        Email:                     "test@test.com",
                        PhoneNo:                   "045-682-0845",
                    },
                    PayeeBank: PayeeBank{
                        BankCode:      "0011",
                        BankName:      "三井住友",
                        BranchCode:    "012",
                        BranchName:    "横浜",
                        AccountKind:   1,
                        AccountNumber: "4108217",
                        AccountName:   "カテスト タロウ",
                    },
                }"}`)

                req, err := http.NewRequest(http.MethodPost, "https://api.test.fincode.jp/v1/business_payments/bp_abc123", bytes.NewBuffer(body))
                if err != nil {
                    panic(err)
                }

                req.Header.Set("Authorization", "Bearer <Secret API Key>")
                req.Header.Set("Content-Type", "multipart/form-data")
                req.Header.Set("Tenant-Buyer-Id", "b_***********")

                resp, err := http.DefaultClient.Do(req)
                if err != nil {
                    panic(err)
                }
                defer resp.Body.Close()

                b, err := io.ReadAll(resp.Body)
                if err != nil {
                    panic(err)
                }

                fmt.Println(string(b))
            }
        - lang: php
          label: PHP
          source: |
            <?php

            $payload = json_encode([
                'billing_amount' => 10000,
                'card_token' => null,
                'due_date' => '2025/05/11',
                'invoice_file_name_display' => '請求書.pdf',
                'remitter_name' => 'カタカナ テストタロウ XYZ',
                'payee' => [
                    'company_name' => '株式会社アイネット',
                    'corporate' => '0',
                    'representative_name' => '株式会社アイネット',
                    'invoice_registration_number' => 'T7020001030145',
                    'addr_post_code' => '220-0012',
                    'addr_state' => '横浜市',
                    'addr_city' => '西区',
                    'addr_line_1' => 'みなとみらい5-1-2',
                    'addr_line_2' => '横浜シンフォステージ ウエストタワー13階',
                    'email' => 'test@test.com',
                    'phone_no' => '045-682-0845',
                ],
                'payee_bank' => [
                    'bank_code' => '0011',
                    'bank_name' => '三井住友',
                    'branch_code' => '012',
                    'branch_name' => '横浜',
                    'account_kind' => 1,
                    'account_number' => '4108217',
                    'account_name' => 'カテスト タロウ',
                ],
            ]);

            $ch = curl_init('https://api.test.fincode.jp/v1/business_payments/bp_VbZbE8t6RMGIsIfOP3U7ww');
            curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'POST');
            curl_setopt($ch, CURLOPT_HTTPHEADER, [
                'Authorization: Bearer <Secret API Key>',
                'Content-Type: multipart/form-data',
                'Tenant-Buyer-Id: b_***********'
            ]);
            curl_setopt($ch, CURLOPT_POSTFIELDS, $payload);
            curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);

            $response = curl_exec($ch);
            curl_close($ch);

            echo $response;
        - lang: python
          label: Python 3
          source: |
            import requests

            api_key = '<Secret API Key>'

            url = 'https://api.test.fincode.jp/v1/business_payments/bp_VbZbE8t6RMGIsIfOP3U7ww'
            headers = {
                'Authorization': f'Bearer {api_key}',
                'Content-Type': 'multipart/form-data'
                'Tenant-Buyer-Id': 'b_***********'
            }
            data = {
                'billing_amount': 10000,
                'card_token': None,
                'due_date': '2025/05/11',
                'invoice_file_name_display': '請求書.pdf',
                'remitter_name': 'カタカナ テストタロウ XYZ',
                'payee': {
                    'company_name': '株式会社アイネット',
                    'corporate': '0',
                    'representative_name': '株式会社アイネット',
                    'invoice_registration_number': 'T7020001030145',
                    'addr_post_code': '220-0012',
                    'addr_state': '横浜市',
                    'addr_city': '西区',
                    'addr_line_1': 'みなとみらい5-1-2',
                    'addr_line_2': '横浜シンフォステージ ウエストタワー13階',
                    'email': 'test@test.com',
                    'phone_no': '045-682-0845'
                },
                'payee_bank': {
                    'bank_code': '0011',
                    'bank_name': '三井住友',
                    'branch_code': '012',
                    'branch_name': '横浜',
                    'account_kind': 1,
                    'account_number': '4108217',
                    'account_name': 'カテスト タロウ'
                }
            }

            response = requests.post(url, headers=headers, json=data)
            print(response.text)
        - lang: ruby
          label: Ruby
          source: |
            require "net/http"
            require "uri"
            require "json"

            uri = URI.parse("https://api.test.fincode.jp/v1/business_payments/bp_VbZbE8t6RMGIsIfOP3U7ww")
            request = Net::HTTP::Post.new(uri)
            request["Authorization"] = "Bearer <Secret API Key>"
            request["Content-Type"] = "multipart/form-data"
            request["Tenant-Buyer-Id"] = "b_***********"
            request.body = {
              billing_amount: 10000,
              card_token: nil,
              due_date: "2025/05/11",
              invoice_file_name_display: "請求書.pdf",
              remitter_name: "カタカナ テストタロウ XYZ",
              payee: {
                company_name: "株式会社アイネット",
                corporate: "0",
                representative_name: "株式会社アイネット",
                invoice_registration_number: "T7020001030145",
                addr_post_code: "220-0012",
                addr_state: "横浜市",
                addr_city: "西区",
                addr_line_1: "みなとみらい5-1-2",
                addr_line_2: "横浜シンフォステージ ウエストタワー13階",
                email: "test@test.com",
                phone_no: "045-682-0845"
              },
              payee_bank: {
                bank_code: "0011",
                bank_name: "三井住友",
                branch_code: "012",
                branch_name: "横浜",
                account_kind: 1,
                account_number: "4108217",
                account_name: "カテスト タロウ"
              }
            }.to_json

            response = Net::HTTP.start(uri.host, uri.port, use_ssl: true) do |http|
              http.request(request)
            end

            puts response.body
    put:
      security:
        - Secret-Bearer-Auth: []
        - Secret-Basic-Auth: []
      operationId: submitBusinessPayment
      tags:
        - 請求書カード払い
      summary: 請求書カード払い提出
      description: |
        請求書カード払い情報を提出する。
      parameters:
        - in: header
          name: Tenant-Buyer-Id
          required: true
          schema:
            allOf:
              - $ref: '#/components/schemas/schema'
          description: |
            <span class="smallText color--red-400">※ バイヤープラットフォームのみ指定可</span>\
            テナントバイヤーID。\
            指定したテナントバイヤーに紐づく請求書カード払い情報を提出します。
        - name: id
          in: path
          required: true
          schema:
            type: string
          description: 取引ID
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BusinessPayment.Submitting.Request'
      responses:
        '200':
          description: リクエストに成功
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BusinessPayment.Submitting.Response'
        '400':
          description: 不正なリクエスト
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FincodeAPIError.Response'
      x-code-samples:
        - lang: curl
          label: cURL
          source: |
            curl \
                -X PUT \
                -H "Authorization:Bearer <Secret API Key>" \
                -H "Content-Type: application/json" \
                -H "Tenant-Buyer-Id: b_***********" \
                -d '{
                        "billing_amount": 10000,
                        "card_token": null,
                        "due_date": "2025/05/11",
                        "invoice_file_name_display": "請求書.pdf",
                        "remitter_name": "カタカナ　テストタロウ　ＸＹＺ",
                        "payee": {
                            "company_name": "株式会社アイネット",
                            "corporate": "0",
                            "representative_name": "株式会社アイネット",
                            "invoice_registration_number": "T7020001030145",
                            "addr_post_code": "220-0012",
                            "addr_state": "横浜市",
                            "addr_city": "西区",
                            "addr_line_1": "みなとみらい5-1-2",
                            "addr_line_2": "横浜シンフォステージ ウエストタワー13階",
                            "email": "test@test.com",
                            "phone_no": "045-682-0845"
                        },
                        "payee_bank": {
                            "bank_code": "0011",
                            "bank_name": "三井住友",
                            "branch_code": "012",
                            "branch_name": "横浜",
                            "account_kind": 1,
                            "account_number": "4108217",
                            "account_name": "カテスト　タロウ"
                        }
            }' \
            'https://api.test.fincode.jp/v1/business_payments/{id}'
        - lang: node
          label: Node.js
          source: |
            import fetch from "node-fetch";

            const BASE_URL = "https://api.test.fincode.jp";
            const API_KEY = "<Secret API Key>";

            (async () => {
                const businessPaymentId = "<Business Payment ID>"; // ここにBusiness Payment IDを設定

                const endpoint = `${BASE_URL}/v1/business_payments/${businessPaymentId}`;

                const response = await fetch(endpoint, {
                    method: "PUT",
                    headers: {
                        Authorization: `Bearer ${API_KEY}`,
                        "Content-Type": "application/json",
                        "Tenant-Buyer-Id": "b_***********",
                    },
                    body: JSON.stringify({
                        billing_amount: 10000,
                        card_token: null,
                        due_date: "2025/05/11",
                        invoice_file_name_display: "請求書.pdf",
                        remitter_name: "カタカナ テストタロウ XYZ",
                        payee: {
                            company_name: "株式会社アイネット",
                            corporate: "0",
                            representative_name: "株式会社アイネット",
                            invoice_registration_number: "T7020001030145",
                            addr_post_code: "220-0012",
                            addr_state: "横浜市",
                            addr_city: "西区",
                            addr_line_1: "みなとみらい5-1-2",
                            addr_line_2: "横浜シンフォステージ ウエストタワー13階",
                            email: "test@test.com",
                            phone_no: "045-682-0845",
                        },
                        payee_bank: {
                            bank_code: "0011",
                            bank_name: "三井住友",
                            branch_code: "012",
                            branch_name: "横浜",
                            account_kind: 1,
                            account_number: "4108217",
                            account_name: "カテスト タロウ",
                        },
                    }),
                });

                if (response.ok) {
                    const businessPaymentData = await response.json();
                    console.log("Business Payment Submitted:", businessPaymentData);
                } else {
                    console.error("Error submitting business payment:", await response.text());
                }
            })();
        - lang: go
          label: Go
          source: |
            package main

            import (
                "bytes"
                "encoding/json"
                "fmt"
                "log"
                "net/http"
            )

            func main() {
                // APIキーと請求書カード払いIDを指定
                apiKey := "<Secret API Key>"
                businessPaymentID := "<Business Payment ID>"

                body := SubmitBusinessPaymentRequest{
                    BillingAmount:           10000,
                    CardToken:               nil,
                    BusinessPaymentsCardID:  "1234",
                    CardRegisterFlag:        nil,
                    DueDate:                 "2025/05/11",
                    InvoiceFileNameDisplay:  "請求書.pdf",
                    RemitterName:            "カタカナ テストタロウ XYZ",
                    Payee: Payee{
                        CompanyName:               "株式会社アイネット",
                        Corporate:                 "0",
                        RepresentativeName:        "株式会社アイネット",
                        InvoiceRegistrationNumber: "T7020001030145",
                        AddrPostCode:              "220-0012",
                        AddrState:                 "横浜市",
                        AddrCity:                  "西区",
                        AddrLine1:                 "みなとみらい5-1-2",
                        AddrLine2:                 "横浜シンフォステージ ウエストタワー13階",
                        Email:                     "test@test.com",
                        PhoneNo:                   "045-682-0845",
                    },
                    PayeeBank: PayeeBank{
                        BankCode:      "0011",
                        BankName:      "三井住友",
                        BranchCode:    "012",
                        BranchName:    "横浜",
                        AccountKind:   1,
                        AccountNumber: "4108217",
                        AccountName:   "カテスト タロウ",
                    },
                }

                marshalledBody, err := json.Marshal(body)
                if err != nil {
                    log.Fatalf("エンコードエラー: %v", err)
                }

                url := fmt.Sprintf("https://api.test.fincode.jp/v1/business_payments/%s", businessPaymentID)

                req, err := http.NewRequest(http.MethodPut, url, bytes.NewBuffer(marshalledBody))
                if err != nil {
                    log.Fatalf("リクエストの作成エラー: %v", err)
                }

                req.Header.Set("Authorization", fmt.Sprintf("Bearer %s", apiKey))
                req.Header.Set("Content-Type", "application/json")
                req.Header.Set("Tenant-Buyer-Id", "b_***********")

                client := &http.Client{}
                resp, err := client.Do(req)
                if err != nil {
                    log.Fatalf("リクエストエラー: %v", err)
                }
                defer resp.Body.Close()

                fmt.Println("Status:", resp.Status)
            }

            type SubmitBusinessPaymentRequest struct {
                BillingAmount          int     `json:"billing_amount"`
                CardToken              *string `json:"card_token"`
                DueDate                string  `json:"due_date"`
                InvoiceFileNameDisplay string  `json:"invoice_file_name_display"`
                RemitterName           string  `json:"remitter_name"`
                Payee                  Payee   `json:"payee"`
                PayeeBank              PayeeBank `json:"payee_bank"`
            }

            type Payee struct {
                CompanyName               string `json:"company_name"`
                Corporate                 string `json:"corporate"`
                RepresentativeName        string `json:"representative_name"`
                InvoiceRegistrationNumber string `json:"invoice_registration_number"`
                AddrPostCode              string `json:"addr_post_code"`
                AddrState                 string `json:"addr_state"`
                AddrCity                  string `json:"addr_city"`
                AddrLine1                 string `json:"addr_line_1"`
                AddrLine2                 string `json:"addr_line_2"`
                Email                     string `json:"email"`
                PhoneNo                   string `json:"phone_no"`
            }

            type PayeeBank struct {
                BankCode      string `json:"bank_code"`
                BankName      string `json:"bank_name"`
                BranchCode    string `json:"branch_code"`
                BranchName    string `json:"branch_name"`
                AccountKind   int    `json:"account_kind"`
                AccountNumber string `json:"account_number"`
                AccountName   string `json:"account_name"`
            }
        - lang: php
          label: PHP
          source: |
            <?php

            $apiKey = '<Secret API Key>';
            $businessPaymentId = '<Business Payment ID>'; // ここにBusiness Payment IDを設定

            $baseUrl = "https://api.test.fincode.jp";
            $endpoint = "/v1/business_payments/{$businessPaymentId}";

            $headers = [
                "Authorization: Bearer " . $apiKey,
                "Content-Type: application/json"
                "Tenant-Buyer-Id: b_***********"
            ];

            $data = json_encode([
                'billing_amount' => 10000,
                'card_token' => null,
                'due_date' => '2025/05/11',
                'invoice_file_name_display' => '請求書.pdf',
                'remitter_name' => 'カタカナ テストタロウ XYZ',
                'payee' => [
                    'company_name' => '株式会社アイネット',
                    'corporate' => '0',
                    'representative_name' => '株式会社アイネット',
                    'invoice_registration_number' => 'T7020001030145',
                    'addr_post_code' => '220-0012',
                    'addr_state' => '横浜市',
                    'addr_city' => '西区',
                    'addr_line_1' => 'みなとみらい5-1-2',
                    'addr_line_2' => '横浜シンフォステージ ウエストタワー13階',
                    'email' => 'test@test.com',
                    'phone_no' => '045-682-0845',
                ],
                'payee_bank' => [
                    'bank_code' => '0011',
                    'bank_name' => '三井住友',
                    'branch_code' => '012',
                    'branch_name' => '横浜',
                    'account_kind' => 1,
                    'account_number' => '4108217',
                    'account_name' => 'カテスト タロウ',
                ],
            ]);

            $session = curl_init();
            curl_setopt($session, CURLOPT_URL, $baseUrl . $endpoint);
            curl_setopt($session, CURLOPT_CUSTOMREQUEST, 'PUT');
            curl_setopt($session, CURLOPT_HTTPHEADER, $headers);
            curl_setopt($session, CURLOPT_POSTFIELDS, $data);
            curl_setopt($session, CURLOPT_RETURNTRANSFER, true);

            $response = curl_exec($session);

            if ($response === false) {
                echo "cURL Error: " . curl_error($session);
            } else {
                var_dump($response);
            }

            curl_close($session);
        - lang: python
          label: Python 3
          source: |
            import requests

            api_key = '<Secret API Key>'
            business_payment_id = '<Business Payment ID>'  # ここにBusiness Payment IDを設定

            url = f'https://api.test.fincode.jp/v1/business_payments/{business_payment_id}'

            # ヘッダーを設定
            headers = {
                'Authorization': f'Bearer {api_key}',
                'Content-Type': 'application/json'
                'Tenant-Buyer-Id': 'b_***********'
            }
            data = {
                'billing_amount': 10000,
                'card_token': None,
                'due_date': '2025/05/11',
                'invoice_file_name_display': '請求書.pdf',
                'remitter_name': 'カタカナ テストタロウ XYZ',
                'payee': {
                    'company_name': '株式会社アイネット',
                    'corporate': '0',
                    'representative_name': '株式会社アイネット',
                    'invoice_registration_number': 'T7020001030145',
                    'addr_post_code': '220-0012',
                    'addr_state': '横浜市',
                    'addr_city': '西区',
                    'addr_line_1': 'みなとみらい5-1-2',
                    'addr_line_2': '横浜シンフォステージ ウエストタワー13階',
                    'email': 'test@test.com',
                    'phone_no': '045-682-0845'
                },
                'payee_bank': {
                    'bank_code': '0011',
                    'bank_name': '三井住友',
                    'branch_code': '012',
                    'branch_name': '横浜',
                    'account_kind': 1,
                    'account_number': '4108217',
                    'account_name': 'カテスト タロウ'
                }
            }

            # HTTP PUTリクエストの送信
            try:
                response = requests.put(url, headers=headers, json=data)

                # レスポンスの処理
                if response.status_code == 200:
                    print(f"Success: {response.json()}")
                else:
                    print(f"Error: {response.text}")
            except requests.RequestException as e:
                print(f"Request error: {e}")
        - lang: ruby
          label: Ruby
          source: |
            require "net/http"
            require "uri"
            require "json"

            API_KEY = '<Secret API Key>'
            BASE_URL = 'https://api.test.fincode.jp'

            def main
              business_payment_id = '<Business Payment ID>' # ここにBusiness Payment IDを設定
              endpoint = "/v1/business_payments/#{business_payment_id}"

              uri = URI.parse(BASE_URL + endpoint)

              http = Net::HTTP.new(uri.host, uri.port)
              http.use_ssl = true

              data = {
                billing_amount: 10000,
                card_token: nil,
                due_date: "2025/05/11",
                invoice_file_name_display: "請求書.pdf",
                remitter_name: "カタカナ テストタロウ XYZ",
                payee: {
                  company_name: "株式会社アイネット",
                  corporate: "0",
                  representative_name: "株式会社アイネット",
                  invoice_registration_number: "T7020001030145",
                  addr_post_code: "220-0012",
                  addr_state: "横浜市",
                  addr_city: "西区",
                  addr_line_1: "みなとみらい5-1-2",
                  addr_line_2: "横浜シンフォステージ ウエストタワー13階",
                  email: "test@test.com",
                  phone_no: "045-682-0845"
                },
                payee_bank: {
                  bank_code: "0011",
                  bank_name: "三井住友",
                  branch_code: "012",
                  branch_name: "横浜",
                  account_kind: 1,
                  account_number: "4108217",
                  account_name: "カテスト タロウ"
                }
              }

              request = Net::HTTP::Put.new(uri.request_uri)
              request['Authorization'] = "Bearer #{API_KEY}"
              request['Content-Type'] = 'application/json'
              request["Tenant-Buyer-Id"] = "b_***********"
              request.body = data.to_json

              response = http.request(request)

              case response
              when Net::HTTPSuccess
                puts 'SUCCESS'
              else
                puts 'ERROR'
              end

              puts response.body
            end

            main
  /v1/business_payments/{id}/delete:
    put:
      security:
        - Secret-Bearer-Auth: []
        - Secret-Basic-Auth: []
      operationId: deleteBusinessPayment
      tags:
        - 請求書カード払い
      summary: 請求書カード払い情報削除
      description: |
        指定したIDの請求書カード払い情報を削除します。
      parameters:
        - in: header
          name: Tenant-Buyer-Id
          required: true
          schema:
            allOf:
              - $ref: '#/components/schemas/schema'
          description: |
            <span class="smallText color--red-400">※ バイヤープラットフォームのみ指定可</span>\
            テナントバイヤーID。\
            指定したテナントバイヤーに紐づく請求書カード払い情報を削除します。
        - name: id
          in: path
          required: true
          schema:
            type: string
            minLength: 25
            maxLength: 25
          description: 取引ID
      responses:
        '200':
          description: リクエストに成功
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BusinessPayment.Deleting.Response'
        '400':
          description: 不正なリクエスト
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FincodeAPIError.Response'
        '404':
          description: 該当データなし
      x-code-samples:
        - lang: curl
          label: cURL
          source: |
            curl \
                -X PUT \
                -H "Authorization:Bearer <Secret API Key>" \
                -H "Tenant-Buyer-Id:b_***********" \
                -H "Tenant-Buyer-Id: b_***********" \
            'https://api.test.fincode.jp/v1/business_payments/bp_VbZbE8t6RMGIsIfOP3U7ww/delete'
        - lang: node
          label: Node.js
          source: |
            const API_KEY = "<Secret API Key>";
            const BUSINESS_PAYMENT_ID = "bp_VbZbE8t6RMGIsIfOP3U7ww";

            (async () => {
                const response = await fetch(`https://api.test.fincode.jp/v1/business_payments/${BUSINESS_PAYMENT_ID}/delete`, {
                    method: "PUT",
                    headers: {
                        Authorization: `Bearer ${API_KEY}`,
                        "Tenant-Buyer-Id": "b_***********",
                    },
                });

                const data = await response.json();
                console.log(data);
            })();
        - lang: go
          label: Go
          source: |
            package main

            import (
                "fmt"
                "io"
                "net/http"
            )

            func main() {
                req, err := http.NewRequest(http.MethodPut, "https://api.test.fincode.jp/v1/business_payments/bp_VbZbE8t6RMGIsIfOP3U7ww/delete", nil)
                if err != nil {
                    panic(err)
                }

                req.Header.Set("Authorization", "Bearer <Secret API Key>")
                req.Header.Set("Tenant-Buyer-Id", "b_***********")

                resp, err := http.DefaultClient.Do(req)
                if err != nil {
                    panic(err)
                }
                defer resp.Body.Close()

                body, err := io.ReadAll(resp.Body)
                if err != nil {
                    panic(err)
                }

                fmt.Println(string(body))
            }
        - lang: php
          label: PHP
          source: |
            <?php

            $ch = curl_init('https://api.test.fincode.jp/v1/business_payments/bp_VbZbE8t6RMGIsIfOP3U7ww/delete');
            curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'PUT');
            curl_setopt($ch, CURLOPT_HTTPHEADER, [
                'Authorization: Bearer <Secret API Key>',
                'Tenant-Buyer-Id: b_***********',
            ]);
            curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);

            $response = curl_exec($ch);
            curl_close($ch);

            echo $response;
        - lang: python
          label: Python 3
          source: |
            import requests

            api_key = '<Secret API Key>'

            url = 'https://api.test.fincode.jp/v1/business_payments/bp_abc123/delete'
            headers = {
                'Authorization': f'Bearer {api_key}'
                'Tenant-Buyer-Id': 'b_***********'
            }

            response = requests.put(url, headers=headers)
            print(response.text)
        - lang: ruby
          label: Ruby
          source: |
            require "net/http"
            require "uri"

            uri = URI.parse("https://api.test.fincode.jp/v1/business_payments/bp_VbZbE8t6RMGIsIfOP3U7ww/delete")
            request = Net::HTTP::Put.new(uri)
            request["Authorization"] = "Bearer <Secret API Key>"
            request["Tenant-Buyer-Id"] = "b_***********"

            response = Net::HTTP.start(uri.host, uri.port, use_ssl: true) do |http|
              http.request(request)
            end

            puts response.body
  /v1/business_payments/request:
    put:
      security:
        - Secret-Bearer-Auth: []
        - Secret-Basic-Auth: []
      operationId: requestBusinessPayment
      tags:
        - 請求書カード払い
      summary: 請求書カード払い依頼
      description: |
        請求書カード払い依頼を行います。
      parameters:
        - in: header
          name: Tenant-Buyer-Id
          required: true
          schema:
            allOf:
              - $ref: '#/components/schemas/schema'
          description: |
            <span class="smallText color--red-400">※ バイヤープラットフォームのみ指定可</span>\
            テナントバイヤーID。\
            指定したテナントバイヤーの請求書カード払い情報依頼を行います。
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BusinessPayment.Requesting.Request'
      responses:
        '200':
          description: リクエストに成功
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BusinessPayment.Requesting.Response'
        '400':
          description: 不正なリクエスト
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FincodeAPIError.Response'
      x-code-samples:
        - lang: curl
          label: cURL
          source: |
            curl \
                -X PUT \
                -H "Authorization:Bearer <Secret API Key>" \
                -H "Content-Type: application/json" \
                -H "Tenant-Buyer-Id: b_***********" \
                -d '{
                "access_id": "bp_abcdefghijklmnopqrstuv",
            }' \
            'https://api.test.fincode.jp/v1/business_payments/request'
        - lang: node
          label: Node.js
          source: |
            const API_KEY = "<Secret API Key>";

            (async () => {
              const response = await fetch(
                "https://api.test.fincode.jp/v1/business_payments/request",
                {
                  method: "PUT",
                  headers: {
                    Authorization: `Bearer ${API_KEY}`,
                    "Content-Type": "application/json",
                    "Tenant-Buyer-Id": "b_***********",
                  },
                  body: JSON.stringify({
                    access_id: "bp_abcdefghijklmnopqrstuv",
                  }),
                },
              );

              const data = await response.json();
              console.log(data);
            })();
        - lang: go
          label: Go
          source: |
            package main

            import (
                "bytes"
                "fmt"
                "io"
                "net/http"
            )

            func main() {
                body := []byte(`{"access_id":"bp_abcdefghijklmnopqrstuv"}`)

                req, err := http.NewRequest(http.MethodPut, "https://api.test.fincode.jp/v1/business_payments/request", bytes.NewBuffer(body))
                if err != nil {
                    panic(err)
                }

                req.Header.Set("Authorization", "Bearer <Secret API Key>")
                req.Header.Set("Content-Type", "application/json")
                req.Header.Set("Tenant-Buyer-Id", "b_***********")

                resp, err := http.DefaultClient.Do(req)
                if err != nil {
                    panic(err)
                }
                defer resp.Body.Close()

                b, err := io.ReadAll(resp.Body)
                if err != nil {
                    panic(err)
                }

                fmt.Println(string(b))
            }
        - lang: php
          label: PHP
          source: |
            <?php

            $payload = json_encode([
                'access_id' => 'bp_abcdefghijklmnopqrstuv',
            ]);

            $ch = curl_init('https://api.test.fincode.jp/v1/business_payments/request');
            curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'PUT');
            curl_setopt($ch, CURLOPT_HTTPHEADER, [
                'Authorization: Bearer <Secret API Key>',
                'Content-Type: application/json',
                'Tenant-Buyer-Id: b_***********'
            ]);
            curl_setopt($ch, CURLOPT_POSTFIELDS, $payload);
            curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);

            $response = curl_exec($ch);
            curl_close($ch);

            echo $response;
        - lang: python
          label: Python 3
          source: |
            import requests

            api_key = '<Secret API Key>'

            url = 'https://api.test.fincode.jp/v1/business_payments/request'
            headers = {
                'Authorization': f'Bearer {api_key}',
                'Tenant-Buyer-Id': 'b_***********'
                'Content-Type': 'application/json'
            }
            data = {
                'access_id': 'bp_abcdefghijklmnopqrstuv'
            }

            response = requests.put(url, headers=headers, json=data)
            print(response.text)
        - lang: ruby
          label: Ruby
          source: |
            require "net/http"
            require "uri"
            require "json"

            uri = URI.parse("https://api.test.fincode.jp/v1/business_payments/request")
            request = Net::HTTP::Put.new(uri)
            request["Authorization"] = "Bearer <Secret API Key>"
            request["Tenant-Buyer-Id"] = "b_***********"
            request["Content-Type"] = "application/json"
            request.body = {
              access_id: "bp_abcdefghijklmnopqrstuv"
            }.to_json

            response = Net::HTTP.start(uri.host, uri.port, use_ssl: true) do |http|
              http.request(request)
            end

            puts response.body
  /v1/business_payments/auth:
    put:
      security:
        - Secret-Bearer-Auth: []
        - Secret-Basic-Auth: []
      operationId: authorizeBusinessPayment
      tags:
        - 請求書カード払い
      summary: 請求書カード払いオーソリ依頼
      parameters:
        - in: header
          name: Tenant-Buyer-Id
          required: true
          schema:
            allOf:
              - $ref: '#/components/schemas/schema'
          description: |
            <span class="smallText color--red-400">※ バイヤープラットフォームのみ指定可</span>\
            テナントバイヤーID。
      description: |
        請求書カード払いオーソリ依頼を行います。
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BusinessPayment.Authorizing.Request'
      responses:
        '200':
          description: リクエストに成功
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BusinessPayment.Authorizing.Response'
        '400':
          description: 不正なリクエスト
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FincodeAPIError.Response'
      x-code-samples:
        - lang: curl
          label: cURL
          source: |
            curl \
                -X PUT \
                -H "Authorization:Bearer <Secret API Key>" \
                -H "Content-Type: application/json" \
                -H "Tenant-Buyer-Id: b_***********" \
                -d '{
                "p": "abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ1234567890abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ1234567890abcdefh"
            }' \
            'https://api.test.fincode.jp/v1/business_payments/auth'
        - lang: node
          label: Node.js
          source: |
            const API_KEY = "<Secret API Key>";

            (async () => {
              const response = await fetch(
                "https://api.test.fincode.jp/v1/business_payments/auth",
                {
                  method: "PUT",
                  headers: {
                    Authorization: `Bearer ${API_KEY}`,
                    "Content-Type": "application/json",
                    "Tenant-Buyer-Id": "b_***********",
                  },
                  body: JSON.stringify({
                    p: "abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ1234567890abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ1234567890abcdefh",
                  }),
                },
              );

              const data = await response.json();
              console.log(data);
            })();
        - lang: go
          label: Go
          source: |
            package main

            import (
                "bytes"
                "fmt"
                "io"
                "net/http"
            )

            func main() {
                body := []byte(`{"p": "abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ1234567890abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ1234567890abcdefh"}`)

                req, err := http.NewRequest(http.MethodPut, "https://api.test.fincode.jp/v1/business_payments/auth", bytes.NewBuffer(body))
                if err != nil {
                    panic(err)
                }

                req.Header.Set("Authorization", "Bearer <Secret API Key>")
                req.Header.Set("Content-Type", "application/json")
                req.Header.Set("Tenant-Buyer-Id", "b_***********")

                resp, err := http.DefaultClient.Do(req)
                if err != nil {
                    panic(err)
                }
                defer resp.Body.Close()

                b, err := io.ReadAll(resp.Body)
                if err != nil {
                    panic(err)
                }

                fmt.Println(string(b))
            }
        - lang: php
          label: PHP
          source: |
            <?php

            $payload = json_encode([
                'p' => 'abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ1234567890abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ1234567890abcdefh',
            ]);

            $ch = curl_init('https://api.test.fincode.jp/v1/business_payments/auth');
            curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'PUT');
            curl_setopt($ch, CURLOPT_HTTPHEADER, [
                'Authorization: Bearer <Secret API Key>',
                'Content-Type: application/json',
                'Tenant-Buyer-Id: b_***********'
            ]);
            curl_setopt($ch, CURLOPT_POSTFIELDS, $payload);
            curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);

            $response = curl_exec($ch);
            curl_close($ch);

            echo $response;
        - lang: python
          label: Python 3
          source: |
            import requests

            api_key = '<Secret API Key>'

            url = 'https://api.test.fincode.jp/v1/business_payments/auth'
            headers = {
                'Authorization': f'Bearer {api_key}',
                'Content-Type': 'application/json'
                'Tenant-Buyer-Id': 'b_***********'
            }
            data = {
                'p': 'abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ1234567890abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ1234567890abcdefh'
            }

            response = requests.put(url, headers=headers, json=data)
            print(response.text)
        - lang: ruby
          label: Ruby
          source: |
            require "net/http"
            require "uri"
            require "json"

            uri = URI.parse("https://api.test.fincode.jp/v1/business_payments/auth")
            request = Net::HTTP::Put.new(uri)
            request["Authorization"] = "Bearer <Secret API Key>"
            request["Content-Type"] = "application/json"
            request["Tenant-Buyer-Id"] = "b_***********"
            request.body = {
              p: "abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ1234567890abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ1234567890abcdefh"
            }.to_json

            response = Net::HTTP.start(uri.host, uri.port, use_ssl: true) do |http|
              http.request(request)
            end

            puts response.body
  /v1/business_payments/business:
    get:
      security:
        - Secret-Bearer-Auth: []
        - Secret-Basic-Auth: []
      operationId: retrieveBusinessPaymentBusiness
      tags:
        - 請求書カード払い
      summary: 請求書カード払い事業者情報取得
      description: |
        請求書カード払い事業者情報を取得します。
      parameters:
        - in: header
          name: Tenant-Buyer-Id
          required: true
          schema:
            allOf:
              - $ref: '#/components/schemas/schema'
          description: |
            <span class="smallText color--red-400">※ バイヤープラットフォームのみ指定可</span>\
            テナントバイヤーID。\
            指定したテナントバイヤーの請求書カード払い事業者情報を取得します。
      responses:
        '200':
          description: リクエストに成功
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BusinessPayment.Business'
        '400':
          description: 不正なリクエスト
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FincodeAPIError.Response'
      x-code-samples:
        - lang: curl
          label: cURL
          source: |
            curl \
                -X GET \
                -H "Authorization:Bearer <Secret API Key>" \
                -H "Tenant-Buyer-Id: b_***********" \
            'https://api.test.fincode.jp/v1/business_payments/business'
        - lang: node
          label: Node.js
          source: |
            const API_KEY = "<Secret API Key>";

            (async () => {
                const response = await fetch("https://api.test.fincode.jp/v1/business_payments/business", {
                    method: "GET",
                    headers: {
                        Authorization: `Bearer ${API_KEY}`,
                        "Tenant-Buyer-Id": "b_***********",
                    },
                });

                const data = await response.json();
                console.log(data);
            })();
        - lang: go
          label: Go
          source: |
            package main

            import (
                "fmt"
                "io"
                "net/http"
            )

            func main() {
                req, err := http.NewRequest(http.MethodGet, "https://api.test.fincode.jp/v1/business_payments/business", nil)
                if err != nil {
                    panic(err)
                }

                req.Header.Set("Authorization", "Bearer <Secret API Key>")
                req.Header.Set("Tenant-Buyer-Id", "b_***********")

                resp, err := http.DefaultClient.Do(req)
                if err != nil {
                    panic(err)
                }
                defer resp.Body.Close()

                body, err := io.ReadAll(resp.Body)
                if err != nil {
                    panic(err)
                }

                fmt.Println(string(body))
            }
        - lang: php
          label: PHP
          source: |
            <?php

            $ch = curl_init('https://api.test.fincode.jp/v1/business_payments/business');
            curl_setopt($ch, CURLOPT_HTTPHEADER, [
                'Authorization: Bearer <Secret API Key>',
                'Tenant-Buyer-Id: b_***********'
            ]);
            curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);

            $response = curl_exec($ch);
            curl_close($ch);

            echo $response;
        - lang: python
          label: Python 3
          source: |
            from urllib.request import Request, urlopen

            request = Request(
                "https://api.test.fincode.jp/v1/business_payments/business",
                headers={
                    "Authorization": "Bearer <Secret API Key>",
                    'Tenant-Buyer-Id': 'b_***********'
                },
                method="GET",
            )

            with urlopen(request) as response:
                print(response.read().decode("utf-8"))
        - lang: ruby
          label: Ruby
          source: |
            require "net/http"
            require "uri"

            uri = URI.parse("https://api.test.fincode.jp/v1/business_payments/business")
            request = Net::HTTP::Get.new(uri)
            request["Authorization"] = "Bearer <Secret API Key>"
            request["Tenant-Buyer-Id"] = "b_***********"

            response = Net::HTTP.start(uri.host, uri.port, use_ssl: true) do |http|
              http.request(request)
            end

            puts response.body
  /v1/buyer_platform/tenants:
    get:
      security:
        - Secret-Bearer-Auth: []
        - Secret-Basic-Auth: []
      tags:
        - テナントバイヤー
      operationId: retrieveTenantBuyerList
      summary: テナントバイヤー 一覧取得
      description: |
        テナントバイヤーを一覧で取得します。\
        クエリパラメータを指定して取得する条件を絞り込めます。
      parameters:
        - name: クエリ
          in: query
          description: |
            テナントバイヤー情報の一覧取得において検索条件となるクエリパラメータ
          required: false
          schema:
            allOf:
              - $ref: '#/components/schemas/Pagination.QueryParams'
              - $ref: '#/components/schemas/TenantBuyer.ListRetrieving.QueryParams'
      responses:
        '200':
          description: リクエストに成功
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TenantBuyer.ListRetrieving.Response'
        '400':
          description: 不正なリクエスト
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FincodeAPIError.Response'
      x-code-samples:
        - lang: curl
          label: cURL
          source: |+
            curl \
                -X GET \
                -H "Authorization:Bearer <Secret API Key>" \
            'https://api.test.fincode.jp/v1/buyer_platform/tenants'

        - lang: node
          label: Node.js
          source: |+
            const API_KEY = "<Secret API Key>";

            (async () => {
                const response = await fetch("https://api.test.fincode.jp/v1/buyer_platform/tenants?limit=10", {
                    method: "GET",
                    headers: {
                        Authorization: `Bearer ${API_KEY}`,
                    },
                });

                const data = await response.json();
                console.log(data);
            })();

        - lang: go
          label: Go
          source: "package main\n\nimport (\n\t\"fmt\"\n\t\"log\"\n\t\"net/http\"\n)\n\nfunc main() {\n\tapiKey := \"<Secret API Key>\"\n\n\treq, _ := http.NewRequest(\"GET\", \"https://api.test.fincode.jp/v1/buyer_platform/tenants\", nil)\n\treq.Header.Set(\"Authorization\", fmt.Sprintf(\"Bearer %s\", apiKey))\n\n\tparams := req.URL.Query()\n\tparams.Add(\"limit\", \"10\")\n\treq.URL.RawQuery = params.Encode()\n\n\tclient := &http.Client{}\n\tres, err := client.Do(req)\n\tif err != nil {\n\t\tlog.Fatal(err)\n\t}\n\tdefer res.Body.Close()\n}\n\n"
        - lang: php
          label: PHP
          source: |+
            <?php

            $apiKey = '<Secret API Key>';

            $baseUrl = "https://api.test.fincode.jp";
            $endpoint = "/v1/buyer_platform/tenants";
            $queryParams = [
                "limit" => 10,
            ];

            $headers = [
                "Authorization: Bearer " . $apiKey,
            ];

            $session = curl_init();
            curl_setopt($session, CURLOPT_URL, $baseUrl . $endpoint . '?' . http_build_query($queryParams));
            curl_setopt($session, CURLOPT_HTTPHEADER, $headers);
            curl_setopt($session, CURLOPT_HTTPGET, true);
            curl_setopt($session, CURLOPT_RETURNTRANSFER, true);

            $response = curl_exec($session);

            if ($response === false) {
                echo "cURL Error: " . curl_error($session);
            } else {
                var_dump($response);
            }

            curl_close($session);

        - lang: python
          label: Python 3
          source: |+
            import requests

            api_key = '<Secret API Key>'

            url = 'https://api.test.fincode.jp/v1/buyer_platform/tenants'
            query_params = {
                'limit': '10',
            }

            headers = {
                'Authorization': f'Bearer {api_key}',
            }

            try:
                response = requests.get(url, headers=headers, params=query_params)

                if response.status_code == 200:
                    print(f"Success: {response.json()}")
                else:
                    print(f"Error: {response.json()}")
            except requests.RequestException as e:
                print(f"Request error: {e}")

        - lang: ruby
          label: Ruby
          source: |+
            require 'net/http'
            require 'uri'

            API_KEY = '<Secret API Key>'
            BASE_URL = 'https://api.test.fincode.jp'

            def main
                endpoint = '/v1/buyer_platform/tenants'
                query_params = { limit: 10 }

                uri = URI.parse(BASE_URL + endpoint)
                uri.query = URI.encode_www_form(query_params)

                http = Net::HTTP.new(uri.host, uri.port)
                http.use_ssl = true

                request = Net::HTTP::Get.new(uri.request_uri)
                request['Authorization'] = "Bearer #{API_KEY}"

                response = http.request(request)

                case response
                when Net::HTTPSuccess
                    puts 'SUCCESS'
                else
                    puts 'ERROR'
                end

                puts response.body
            end

            main

  /v1/buyer_platform/tenants/{id}:
    get:
      security:
        - Secret-Bearer-Auth: []
        - Secret-Basic-Auth: []
      tags:
        - テナントバイヤー
      operationId: retrieveTenantBuyer
      summary: テナントバイヤー 取得
      description: |
        `id`で指定したテナントバイヤー情報を取得します。
      parameters:
        - name: id
          in: path
          description: |
            バイヤーID
          required: true
          schema:
            allOf:
              - $ref: '#/components/schemas/schema'
      responses:
        '200':
          description: リクエストに成功
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TenantBuyer.Retrieving.Response'
        '400':
          description: 不正なリクエスト
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FincodeAPIError.Response'
      x-code-samples:
        - lang: curl
          label: cURL
          source: |+
            curl \
                -X GET \
                -H "Authorization:Bearer <Secret API Key>" \
            'https://api.test.fincode.jp/v1/buyer_platform/tenants/{id}'

        - lang: node
          label: Node.js
          source: |+
            const API_KEY = "<Secret API Key>";
            const TENANT_BUYER_ID = "<Tenant Buyer ID>";

            (async () => {
                const response = await fetch(`https://api.test.fincode.jp/v1/buyer_platform/tenants/${TENANT_BUYER_ID}`, {
                    method: "GET",
                    headers: {
                        Authorization: `Bearer ${API_KEY}`,
                    },
                });

                const data = await response.json();
                console.log(data);
            })();

        - lang: go
          label: Go
          source: "package main\n\nimport (\n\t\"fmt\"\n\t\"log\"\n\t\"net/http\"\n)\n\nfunc main() {\n\tapiKey := \"<Secret API Key>\"\n\ttenantBuyerID := \"<Tenant Buyer ID>\"\n\n\treq, _ := http.NewRequest(\n\t\t\"GET\",\n\t\tfmt.Sprintf(\"https://api.test.fincode.jp/v1/buyer_platform/tenants/%s\", tenantBuyerID),\n\t\tnil,\n\t)\n\treq.Header.Set(\"Authorization\", fmt.Sprintf(\"Bearer %s\", apiKey))\n\n\tclient := &http.Client{}\n\tres, err := client.Do(req)\n\tif err != nil {\n\t\tlog.Fatal(err)\n\t}\n\tdefer res.Body.Close()\n}\n\n"
        - lang: php
          label: PHP
          source: |+
            <?php

            $apiKey = '<Secret API Key>';
            $tenantBuyerId = '<Tenant Buyer ID>';

            $baseUrl = "https://api.test.fincode.jp";
            $endpoint = "/v1/buyer_platform/tenants/{$tenantBuyerId}";
            $headers = [
                "Authorization: Bearer " . $apiKey,
            ];

            $session = curl_init();
            curl_setopt($session, CURLOPT_URL, $baseUrl . $endpoint);
            curl_setopt($session, CURLOPT_HTTPHEADER, $headers);
            curl_setopt($session, CURLOPT_HTTPGET, true);
            curl_setopt($session, CURLOPT_RETURNTRANSFER, true);

            $response = curl_exec($session);

            if ($response === false) {
                echo "cURL Error: " . curl_error($session);
            } else {
                var_dump($response);
            }

            curl_close($session);

        - lang: python
          label: Python 3
          source: |+
            import requests

            api_key = '<Secret API Key>'
            tenant_buyer_id = '<Tenant Buyer ID>'

            url = f'https://api.test.fincode.jp/v1/buyer_platform/tenants/{tenant_buyer_id}'

            headers = {
                'Authorization': f'Bearer {api_key}',
            }

            try:
                response = requests.get(url, headers=headers)

                if response.status_code == 200:
                    print(f"Success: {response.json()}")
                else:
                    print(f"Error: {response.json()}")
            except requests.RequestException as e:
                print(f"Request error: {e}")

        - lang: ruby
          label: Ruby
          source: |+
            require 'net/http'
            require 'uri'

            API_KEY = '<Secret API Key>'
            BASE_URL = 'https://api.test.fincode.jp'

            def main
                tenant_buyer_id = '<Tenant Buyer ID>'
                endpoint = "/v1/buyer_platform/tenants/#{tenant_buyer_id}"

                uri = URI.parse(BASE_URL + endpoint)

                http = Net::HTTP.new(uri.host, uri.port)
                http.use_ssl = true

                request = Net::HTTP::Get.new(uri.request_uri)
                request['Authorization'] = "Bearer #{API_KEY}"

                response = http.request(request)

                case response
                when Net::HTTPSuccess
                    puts 'SUCCESS'
                else
                    puts 'ERROR'
                end

                puts response.body
            end

            main

  /v1/buyer_platform/tenant_entries:
    post:
      security:
        - Secret-Bearer-Auth: []
        - Secret-Basic-Auth: []
      operationId: createTenantBuyerWithNewUser
      tags:
        - テナントバイヤー申請管理
      summary: テナントバイヤー 作成（新規ユーザー登録）
      description: |
        新規ユーザーを作成し、作成されたユーザーをオーナーとして新規テナントバイヤーを作成するAPIです。\
        このAPIでのテナントバイヤー作成に成功すると、登録されたメールアドレス宛にメールアドレス認証メールが送信されます。
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/POST.BuyerPlatformTenantEntries.Request'
      responses:
        '200':
          description: リクエストに成功
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/POST.BuyerPlatformTenantEntries.Response'
        '400':
          description: 不正なリクエスト
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FincodeAPIError.Response'
      x-code-samples:
        - lang: curl
          label: cURL
          source: |+
            curl \
                -X POST \
                -H "Authorization:Bearer <Secret API Key>" \
                -H "Content-Type: application/json" \
                -d '{
                "email": "<New User Email Address>",
                "password": "<New User Password>",
                "name": "<New User Name>",
                "tenant_url_id": "<Tenant Invitation URL ID>"
            }' \
            'https://api.test.fincode.jp/v1/buyer_platform/tenant_entries'

        - lang: node
          label: Node.js
          source: |+
            const API_KEY = "<Secret API Key>";

            (async () => {
                const response = await fetch("https://api.test.fincode.jp/v1/buyer_platform/tenant_entries", {
                    method: "POST",
                    headers: {
                        Authorization: `Bearer ${API_KEY}`,
                        "Content-Type": "application/json",
                    },
                    body: JSON.stringify({
                        email: "new-user@example.com",
                        password: "new-user-password",
                        name: "New User",
                        tenant_url_id: "<Tenant Invitation URL ID>",
                    }),
                });

                const data = await response.json();
                console.log(data);
            })();

        - lang: go
          label: Go
          source: "package main\n\nimport (\n\t\"bytes\"\n\t\"encoding/json\"\n\t\"fmt\"\n\t\"log\"\n\t\"net/http\"\n)\n\nfunc main() {\n\tapiKey := \"<Secret API Key>\"\n\n\tbody := CreatingTenantBuyerWithNewUserRequest{\n\t\tEmail:       \"new-user@example.com\",\n\t\tPassword:    \"new-user-password\",\n\t\tName:        \"New User\",\n\t\tTenantURLID: \"<Tenant Invitation URL ID>\",\n\t}\n\n\tmarshalledBody, _ := json.Marshal(body)\n\n\treq, _ := http.NewRequest(\"POST\", \"https://api.test.fincode.jp/v1/buyer_platform/tenant_entries\", bytes.NewBuffer(marshalledBody))\n\treq.Header.Set(\"Authorization\", fmt.Sprintf(\"Bearer %s\", apiKey))\n\treq.Header.Set(\"Content-Type\", \"application/json\")\n\n\tclient := &http.Client{}\n\tres, err := client.Do(req)\n\tif err != nil {\n\t\tlog.Fatal(err)\n\t}\n\tdefer res.Body.Close()\n}\n\ntype CreatingTenantBuyerWithNewUserRequest struct {\n\tEmail       string `json:\"email\"`\n\tPassword    string `json:\"password\"`\n\tName        string `json:\"name\"`\n\tTenantURLID string `json:\"tenant_url_id\"`\n}\n\n"
        - lang: php
          label: PHP
          source: |+
            <?php

            $apiKey = '<Secret API Key>';

            $baseUrl = "https://api.test.fincode.jp";
            $endpoint = "/v1/buyer_platform/tenant_entries";
            $headers = [
                "Authorization: Bearer " . $apiKey,
                "Content-Type: application/json"
            ];

            $data = json_encode([
                "email" => "new-user@example.com",
                "password" => "new-user-password",
                "name" => "New User",
                "tenant_url_id" => "<Tenant Invitation URL ID>",
            ]);

            $session = curl_init();
            curl_setopt($session, CURLOPT_URL, $baseUrl . $endpoint);
            curl_setopt($session, CURLOPT_HTTPHEADER, $headers);
            curl_setopt($session, CURLOPT_POST, true);
            curl_setopt($session, CURLOPT_POSTFIELDS, $data);
            curl_setopt($session, CURLOPT_RETURNTRANSFER, true);

            $response = curl_exec($session);

            if ($response === false) {
                echo "cURL Error: " . curl_error($session);
            } else {
                var_dump($response);
            }

            curl_close($session);

        - lang: python
          label: Python 3
          source: |+
            import requests

            api_key = '<Secret API Key>'

            url = 'https://api.test.fincode.jp/v1/buyer_platform/tenant_entries'

            headers = {
                'Authorization': f'Bearer {api_key}',
                'Content-Type': 'application/json'
            }

            data = {
                'email': 'new-user@example.com',
                'password': 'new-user-password',
                'name': 'New User',
                'tenant_url_id': '<Tenant Invitation URL ID>'
            }

            try:
                response = requests.post(url, headers=headers, json=data)

                if response.status_code == 200:
                    print(f"Success: {response.json()}")
                else:
                    print(f"Error: {response.json()}")
            except requests.RequestException as e:
                print(f"Request error: {e}")

        - lang: ruby
          label: Ruby
          source: |+
            require 'net/http'
            require 'uri'
            require 'json'

            API_KEY = '<Secret API Key>'
            BASE_URL = 'https://api.test.fincode.jp'

            def main
                endpoint = '/v1/buyer_platform/tenant_entries'

                uri = URI.parse(BASE_URL + endpoint)

                http = Net::HTTP.new(uri.host, uri.port)
                http.use_ssl = true

                data = {
                    email: 'new-user@example.com',
                    password: 'new-user-password',
                    name: 'New User',
                    tenant_url_id: '<Tenant Invitation URL ID>'
                }

                request = Net::HTTP::Post.new(uri.request_uri)
                request['Authorization'] = "Bearer #{API_KEY}"
                request['Content-Type'] = 'application/json'
                request.body = data.to_json

                response = http.request(request)

                case response
                when Net::HTTPSuccess
                    puts 'SUCCESS'
                else
                    puts 'ERROR'
                end

                puts response.body
            end

            main

  /v1/buyer_platform/join_tenants:
    post:
      security:
        - Secret-Bearer-Auth: []
        - Secret-Basic-Auth: []
      operationId: createTenantBuyerWithExistingUser
      tags:
        - テナントバイヤー申請管理
      summary: テナントバイヤー 作成（既存ユーザー参加）
      description: |
        指定したバイヤープラットフォームのユーザーを新規テナントバイヤーのオーナーとして新規テナントバイヤーを作成するAPIです。\
        \
        `password`パラメータに関して、ユーザーのパスワードがfincode管理画面アプリケーション上で更新されることを想定して実装・運用することが推奨されます。
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/POST.BuyerPlatformJoinTenants.Request'
      responses:
        '200':
          description: リクエストに成功
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/POST.BuyerPlatformJoinTenants.Response'
        '400':
          description: 不正なリクエスト
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FincodeAPIError.Response'
      x-code-samples:
        - lang: curl
          label: cURL
          source: |
            curl \
                -X POST \
                -H "Authorization:Bearer <Secret API Key>" \
                -H "Content-Type: application/json" \
                -d '{
                "email": "platform-user@example.com",
                "password": "platform-user-password",
                "tenant_buyer_url_id": "<Tenant Buyer Invitation URL ID>"
            }' \
            'https://api.test.fincode.jp/v1/buyer_platform/join_tenants'
        - lang: node
          label: Node.js
          source: |
            import { createFincode } from "@fincode/node";

            const API_KEY = "<Secret API Key>";

            (async () => {
                const fincode = createFincode({ apiKey: API_KEY, isLiveMode: false });

                try {
                    // リクエストの送信
                    const tenantShop = await fincode.tenants.createWithExistingUser({
                        email: "existing-user@example.com",
                        password: "existing-user-password",
                        tenant_buyer_url_id: "<Tenant Buyer Invitation URL ID>",
                    });
                } catch (e) {
                    // エラーの処理
                }
            })();
        - lang: go
          label: Go
          source: "package main\n\nimport (\n\t\"bytes\"\n\t\"encoding/json\"\n\t\"fmt\"\n\t\"log\"\n\t\"net/http\"\n)\n\nfunc main() {\n\n\tapiKey := \"<Secret API Key>\"\n\n\tbody := CreatingTenantWithNewUserRequest{\n\t\tEmail:    \"new-user@example.com\",\n\t\tPassword: \"new-user-password\",\n\t\tName:     \"New User\",\n\t}\n\n\tmarshalledBody, _ := json.Marshal(body)\n\n\t// リクエストの作成\n\treq, _ := http.NewRequest(\"POST\", \"https://api.test.fincode.jp/v1/buyer_platform/join_tenants\", bytes.NewBuffer(marshalledBody))\n\treq.Header.Set(\"Authorization\", fmt.Sprintf(\"Bearer %s\", apiKey))\n\treq.Header.Set(\"Content-Type\", \"application/json\")\n\n\t// リクエストの送信\n\tclient := &http.Client{}\n\tres, err := client.Do(req)\n\tif err != nil {\n\t\tlog.Fatal(err)\n\t}\n\tdefer res.Body.Close()\n}\n\ntype CreatingTenantWithNewUserRequest struct {\n\tEmail            string `json:\"email\"`\n\tPassword         string `json:\"password\"`\n\tName             string `json:\"name\"`\n\tTenantBuyerUrlId string `json:\"tenant_buyer_url_id\"`\n}\n"
        - lang: php
          label: PHP
          source: |
            <?php

            $apiKey = '<Secret API Key>';

            $baseUrl = "https://api.test.fincode.jp";
            $endpoint = "/v1/buyer_platform/join_tenants";
            $headers = [
                "Authorization: Bearer " . $apiKey,
                "Content-Type: application/json"
            ];

            $data = json_encode([
                "email" => "platform-user@example.com",
                "password" => "platform-user-password",
                "tenant_buyer_url_id" => "<Tenant Buyer Invitation URL ID>"
            ]);

            $session = curl_init();
            curl_setopt($session, CURLOPT_URL, $baseUrl . $endpoint);
            curl_setopt($session, CURLOPT_HTTPHEADER, $headers);
            curl_setopt($session, CURLOPT_POST, true);
            curl_setopt($session, CURLOPT_POSTFIELDS, $data);
            curl_setopt($session, CURLOPT_RETURNTRANSFER, true);
            // curl_setopt($session, CURLOPT_SSL_VERIFYPEER, );
            // curl_setopt($session, CURLOPT_SSL_VERIFYHOST, );

            $response = curl_exec($session);

            if ($response === false) {
                # エラー処理
                echo "cURL Error: " . curl_error($session);
            } else {
                # APIからのデータを処理
                var_dump($response);
            }

            curl_close($session);
        - lang: python
          label: Python 3
          source: |
            import requests

            api_key = '<Secret API Key>'

            url = f'https://api.test.fincode.jp/v1/buyer_platform/join_tenants'

            # ヘッダーを設定
            headers = {
                'Authorization': f'Bearer {api_key}',
                'Content-Type': 'application/json'
            }

            data = {
                "email": "platform-user@example.com",
                "password": "platform-user-password",
                "tenant_buyer_url_id": "<Tenant Buyer Invitation URL ID>"
            }

            # HTTP POSTリクエストの送信
            try:
                response = requests.post(url, headers=headers, json=data)

                # レスポンスの処理
                if response.status_code == 200:
                    # 成功した場合の処理
                    print(f"Success: {response.json()}")
                else:
                    # エラーの処理
                    print(f"Error: {response.json()}")
            except requests.RequestException as e:
                # 通信エラーの処理
                print(f"Request error: {e}")
        - lang: ruby
          label: Ruby
          source: |
            require 'net/http'
            require 'uri'
            require 'json'


            API_KEY = '<Secret API Key>'
            BASE_URL = 'https://api.test.fincode.jp'

            def main
                endpoint = "/v1/buyer_platform/join_tenants"
                uri = URI.parse(BASE_URL + endpoint)

                http = Net::HTTP.new(uri.host, uri.port)
                http.use_ssl = true

                data = {
                    email: "platform-user@example.com",
                    password: "platform-user-password",
                    tenant_buyer_url_id: "<Tenant Buyer Invitation URL ID>"
                }

                # リクエストの作成
                request = Net::HTTP::Post.new(uri.request_uri)
                request['Authorization'] = "Bearer #{API_KEY}"
                request['Content-Type'] = 'application/json'

                request.body = data.to_json

                # リクエストの送信
                response = http.request(request)

                case response
                when Net::HTTPSuccess
                    puts 'SUCCESS'
                else
                    puts 'ERROR'
                end

                # レスポンスの表示
                puts response.body
            end

            main
  /v1/buyer/contracts/{id}:
    get:
      security:
        - Secret-Bearer-Auth: []
        - Secret-Basic-Auth: []
      operationId: retrieveBuyerContract
      tags:
        - テナントバイヤー申請管理
      summary: テナントバイヤー契約情報 取得
      description: |
        `id`で指定したテナントバイヤーの契約情報を取得します。
      parameters:
        - name: id
          in: path
          description: |
            指定したテナントバイヤーの契約情報を取得します。`Tenant-Buyer-Id`ヘッダーも併せて指定してください。
          schema:
            allOf:
              - $ref: '#/components/schemas/schema'
          required: true
        - in: header
          name: Tenant-Buyer-Id
          required: true
          schema:
            allOf:
              - $ref: '#/components/schemas/schema'
          description: |
            <span class="smallText color--red-400">※ プラットフォームのメインショップのみ指定可</span>\
            テナントバイヤーID。\
            指定したテナントバイヤーの契約情報を取得します。
      responses:
        '200':
          description: リクエストに成功
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BuyerContracts.Retrieving.Response'
        '400':
          description: 不正なリクエスト
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FincodeAPIError.Response'
      x-code-samples:
        - lang: curl
          label: cURL
          source: |
            curl \
                -X GET \
                -H "Authorization:Bearer <Secret API Key>" \
                -H "Tenant-Buyer-Id: <Tenant Buyer ID>" \
            'https://api.test.fincode.jp/v1/buyer/contracts/{Tenant Buyer ID}'
        - lang: node
          label: Node.js
          source: |-
            const API_KEY = "<Secret API Key>";
            const TENANT_BUYER_ID = "<Tenant Buyer ID>";
            const BUYER_ID = "<buyer_id>";

            (async () => {
              try {
                const response = await fetch(
                  `https://api.test.fincode.jp/v1/buyer/contracts/${BUYER_ID}`,
                  {
                    method: "GET",
                    headers: {
                      Authorization: `Bearer ${API_KEY}`,
                      "Tenant-Buyer-Id": TENANT_BUYER_ID,
                    },
                  }
                );

                const data = await response.json();
                console.log(data);
              } catch (e) {
                console.error(e);
              }
            })();
        - lang: go
          label: Go
          source: "package main\n\nimport (\n\t\"fmt\"\n\t\"log\"\n\t\"net/http\"\n)\n\nfunc main() {\n\n\tapiKey := \"<Secret API Key>\"\n\n\tbuyerId := \"<Buyer ID>\"\n\ttenantBuyerID := \"<Tenant Buyer ID>\"\n\n\t// リクエストの作成\n\treq, _ := http.NewRequest(\"GET\", fmt.Sprintf(\"https://api.test.fincode.jp/v1/buyer/contracts/%s\", buyerId), nil)\n\treq.Header.Set(\"Authorization\", fmt.Sprintf(\"Bearer %s\", apiKey))\n\treq.Header.Set(\"Tenant-Buyer-Id\", tenantBuyerID)\n\n\t// リクエストの送信\n\tclient := &http.Client{}\n\tres, err := client.Do(req)\n\tif err != nil {\n\t\tlog.Fatal(err)\n\t}\n\tdefer res.Body.Close()\n\n}\n"
        - lang: php
          label: PHP
          source: |
            <?php

            $apiKey = '<Secret API Key>';

            $buyerId = '<Buyer ID>';
            $tenantBuyerId = '<Tenant Buyer ID>';

            $baseUrl = "https://api.test.fincode.jp";
            $endpoint = "/v1/buyer/contracts/{$buyerId}";
            $headers = [
                "Authorization: Bearer " . $apiKey,
                "Tenant-Buyer-Id: " . $tenantBuyerId,
            ];

            $session = curl_init();
            curl_setopt($session, CURLOPT_URL, $baseUrl . $endpoint);
            curl_setopt($session, CURLOPT_HTTPHEADER, $headers);
            curl_setopt($session, CURLOPT_HTTPGET, true);
            curl_setopt($session, CURLOPT_RETURNTRANSFER, true);
            // curl_setopt($session, CURLOPT_SSL_VERIFYPEER, );
            // curl_setopt($session, CURLOPT_SSL_VERIFYHOST, );

            $response = curl_exec($session);

            if ($response === false) {
                # エラー処理
                echo "cURL Error: " . curl_error($session);
            } else {
                # APIからのデータを処理
                var_dump($response);
            }

            curl_close($session);
        - lang: python
          label: Python 3
          source: |
            import requests

            api_key = '<Secret API Key>'

            buyer_id = '<Buyer ID>'
            tenant_buyer_id = '<Tenant Buyer ID>'

            url = f'https://api.test.fincode.jp/v1/buyer/contracts/{buyer_id}'

            # ヘッダーを設定
            headers = {
                'Authorization': f'Bearer {api_key}',
                'Tenant-Buyer-Id': tenant_buyer_id,
            }

            try:
                response = requests.get(url, headers=headers)

                # レスポンスの処理
                if response.status_code == 200:
[...]
